Bug 221344 - gnuchess does illegal moves and segfaults
gnuchess does illegal moves and segfaults
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnuchess (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denise Dumas
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: FE7Target
  Show dependency treegraph
 
Reported: 2007-01-03 17:50 EST by Stas Sergeev
Modified: 2013-08-01 14:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:17:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a test-case (389 bytes, application/x-chess-pgn)
2007-01-03 17:50 EST, Stas Sergeev
no flags Details
screenshot of a bug (545.12 KB, image/png)
2011-04-15 02:04 EDT, Stas Sergeev
no flags Details

  None (edit)
Description Stas Sergeev 2007-01-03 17:50:24 EST
Description of problem:
gnuchess does illegal moves. If the xboard's legality test is
enabled, then such a moves are blocked and the gnuchess segfaults.
If the legality test is disabled, then gnuchess just cheats you.

Version-Release number of selected component (if applicable):
gnuchess-5.07-10.fc6

How reproducible:
always

Steps to Reproduce:
1. Run xboard and enable Options->Test Legality
2. Load the s.pgn position from the attachment
3 [details]. Mode->Machine Black
4. Step->Move Now
5. Step->Move Now
  
Actual results:
The first "move now" triggers the legality violation of
xboard. The second "move now" compells the gnuchess to
segfault.

Expected results:
The chess program does the valid moves!

Additional info:
What a chess program is this if it can't even do the valid
moves?
Comment 1 Stas Sergeev 2007-01-03 17:50:24 EST
Created attachment 144748 [details]
a test-case
Comment 2 Bug Zapper 2008-05-14 08:06:23 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Stas Sergeev 2008-05-18 14:39:03 EDT
Segfault is fixed.
The illegal moves are still there.
Comment 4 Bug Zapper 2009-06-09 18:23:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 07:41:19 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-11-04 08:13:36 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora Admin XMLRPC Client 2011-04-11 17:23:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Christopher Aillon 2011-04-12 23:57:37 EDT
Hi, sorry that this bug has gone unnoticed for so long.  I'm the new package maintainer for gnuchess and xboard.  I tried reproducing in Fedora 15 but have been unsuccessful.  If you're still around, can you verify if this is still a problem for you, and if so which version?

There's a new gnuchess and xboard that I built into rawhide already and will be pushing to the older Fedora releases soon, which also might help.
Comment 9 Stas Sergeev 2011-04-13 01:38:04 EDT
Please make a note when the update is available.
I am still on 14, where the problem is perfectly
reproduceable.
Comment 11 Stas Sergeev 2011-04-15 02:03:17 EDT
Tried.

Firstly, gnuchess xboard now loads for about 15 seconds -
this is completely abnormal on the machine like mine.
xboard appears immediately, but it is blank. 10sec later
the figures appear, and 5sec later the menus appear and
you can play.

Secondly, the bug is still here.
I'll attach the screenshot.
Is it really unreproduceable for you?
Comment 12 Stas Sergeev 2011-04-15 02:04:40 EDT
Created attachment 492286 [details]
screenshot of a bug
Comment 13 Christopher Aillon 2011-04-15 14:33:31 EDT
I really cannot reproduce this using the following steps.

1. start xboard
2. options>test legality is checked.
3. file>load position
4. load the pgn file attached
---> Message appears: command 'edit' is not implemented
5. Mode>Machine Black
---> Message appears: it is not black's turn
6. Engine>Move Now
---> Does nothing
7. Engine>Move Now
---> Does nothing

Also, what machine architecture are you using?
Comment 14 Stas Sergeev 2011-04-15 16:19:01 EDT
OK, in this case there is also another bug:
"Move Now ---> Does nothing" is a misbehavior.
I guess as soon as "Move Now" is fixed to do
_something_ for you, that something will be
the illegal move. :)
But in any case, if your machine is fast enough,
you can just wait for a while without doing
"Move Now", and you'll still get the wrong move.

I've set an arch of that bugreport.

Can you also reproduce the slow startup?
I can open a separate report for it.
Comment 15 Stas Sergeev 2011-04-15 16:29:16 EDT
Noticed something really wierd:
on the screenshot I attached here, the illegal
move is "h8h5", while normally the illegal move
was "e5g5". It seems, the new version of gnuchess
does the completely random crap: just got "d5e4"
from the same savegame. Both the "h8h5" and "d5e4"
do not even match the figures! The previous version
of gnuchess did the illegal move that at least matched
the position... I think there is some work for valgrind
here.
Comment 16 Stas Sergeev 2011-04-15 16:33:21 EDT
Got "e2e4" as an illegal move. :)))
Well, it just seems that the position is not
being loaded to gnuchess properly, so it plays
from the initial position. This was not the case
with the previous version...
Comment 17 Stas Sergeev 2011-04-16 17:16:14 EDT
I guess "command 'edit' is not implemented" is the
culprit. It appears every time I try to edit the
position, and then gnuchess does the illegal moves,
because it assumes the old position.
So this version of gnuchess is totally buggy, please
don't push it to the stable repos.
Comment 19 Fedora End Of Life 2012-08-16 12:48:01 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Stas Sergeev 2012-08-16 15:53:46 EDT
I am tired of re-opening this. :)
Gnuchess is completely broken after that update.
Comment 21 Fedora End Of Life 2013-01-16 19:57:54 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Stas Sergeev 2013-01-17 14:35:25 EST
What was the use keeping the completely broken
update for so long?
Comment 25 Fedora End Of Life 2013-07-04 02:41:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 26 Fedora End Of Life 2013-08-01 14:17:15 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.